#!/usr/bin/env python
#Licence: GPLv2.0
#Copyright Jonathan Roadley-Battin 18/09/05


import sys,os
from comp import *
from comp_diode import *
from comp_DeSat import *


import pygtk
if sys.platform == 'win32':
	os.environ['PATH'] += ";lib;"
else:
	pygtk.require('2.0')
import gtk
import gobject
assert gtk.pygtk_version >= (1,99,16), 'pygtk should be >= 1.99.16'
import gtk.glade

Var = [{"label_HtL":False,"label_LtH":False,"input_HtL":False,"input_LtH":False,
"input_Rfb":True,"result_Rfb":False,"label_Rfb":True,
"result_LtH":True,"result_HtL":True,"label_result_HtL":True,"label_result_LtH":True},
["result_HtL","result_LtH","result_Rfb"],
["option_hyster","option_pos"]]

class appgui:
	def __init__(self):
		gladefile="GUI.glade"
		windowname="TESTING"  
		self.CC = comp()
		self.Ext = ""
		self.wTree=gtk.glade.XML (gladefile,windowname)
		
		dic = {"on_quit_button_clicked" : self.quit_clicked, 
		"on_change_current_page" : self.selection_change,
		"on_changed" : self.check_all,
		"on_window_destroy" : (gtk.main_quit)}
		
		self.wTree.signal_autoconnect (dic)
		self.check_all(False)
		return


#####CALLLBACKS
	def quit_clicked(self,widget):
		gtk.main_quit()
		return


	def selection_change(self, widget,gpointer, guint):
		if guint == 1: 
			self.Ext = "_D"
			self.CC = comp_diode()
		elif guint == 2: 
			self.Ext = "_DS"
			#self.CC = comp_desat()
		else: 
			self.Ext = ""
			self.CC = comp()
		
		self.check_all(widget)
		return
	
	def check_all(self,widget):
		self.ref = self.wTree.get_widget(Var[2][1] + self.Ext).get_active()
		self.calc = self.wTree.get_widget(Var[2][0] + self.Ext).get_active()
		if self.calc:
			for x in Var[0].keys():self.wTree.get_widget(x + self.Ext).set_property('visible', Var[0][x])
		else:
			for x in Var[0].keys():self.wTree.get_widget(x + self.Ext).set_property('visible', not(Var[0][x]))		
		self.RES,self.VOLTS = self.CC.pack_variables(self)
		disp_results(self,Var)
		print self.CC.comp
		return


if __name__ == '__main__':
	app=appgui()
	gtk.main()
