#Licence: GPLv2.0
#Copyright Jonathan Roadley-Battin 18/09/05

import math


def quadratic(a,b,c):
	feedback = []
	if (b*b - 4*a*c) < 0: return "no solution"
	tmp = math.sqrt( b*b - 4*a*c)
	feedback.append( (-1*b + tmp)/(2*a) )
	feedback.append( (-1*b - tmp)/(2*a) )
	return feedback

def res_print(Feedback):
	if Feedback > 1e6: ext = [1e6,"M Ohm"]
	elif Feedback > 1e3: ext = [1e3,"k Ohm"]
	elif Feedback >1: ext = [1," Ohm"]
	elif Feedback > 1e-3: ext = [1e-3,"m Ohm"]
	else: ext = [1e-6,"u Ohm"]

	#print"Feedback is: %.1f%s" % (Feedback/ext[0] , ext[1])
	return "%.1f%s" % (Feedback/ext[0] , ext[1])


def disp_results(self,Var):
	if self.calc:
		self.wTree.get_widget(Var[1][0] + self.Ext).set_text(self.CC.calc_hyster(self.RES,self.VOLTS,self.ref)[0])
		self.wTree.get_widget(Var[1][1] + self.Ext).set_text(self.CC.calc_hyster(self.RES,self.VOLTS,self.ref)[1])
	else:
		self.wTree.get_widget(Var[1][2] + self.Ext).set_text(str(self.CC.calc_fb(self.RES,self.VOLTS,self.ref)))
	return


	
