# setup.py
#py2exe -O1 -c --bundle-files 1 
from distutils.core import setup
import py2exe
import glob

opts = {
	"py2exe": {
		"includes": "pango,atk,gobject",
		"dll_excludes": [
		"iconv.dll","intl.dll","libatk-1.0-0.dll",
		"libgdk_pixbuf-2.0-0.dll","libgdk-win32-2.0-0.dll",
		"libglib-2.0-0.dll","libgmodule-2.0-0.dll",
		"libgobject-2.0-0.dll","libgthread-2.0-0.dll",
		"libgtk-win32-2.0-0.dll","libpango-1.0-0.dll",
		"libpangowin32-1.0-0.dll"],
		}
	}

setup(
	name = "Comparator calculator",
	description = "CAn calculate different comparator settings for given options",
	version = "0.61",
	windows = [
		{"script": "Comparator_GUI.py"
		
		}
	],
	options=opts,
	data_files=[("", glob.glob("*.png")),
				("", glob.glob("GUI.glade"))
	],
)